Provider Analytics

Read persisted Bluesky provider observations

GET
/api/projects/{projectId}/analytics/provider/bluesky

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length

Query Parameters

subjectType?string
Value in"account""content"
providerSubjectId?string
Length1 <= length
postbotEntityId?string
Length1 <= length
limit?integer
Range1 <= value <= 500

Response Body

Response for status 200

application/json
  1. response
contractVersion*integer
Range1 <= value
projectId*string
Length1 <= length
provider*string
Length1 <= length
observations*array<>
limit*integer
Range1 <= value <= 500
hasMore*boolean
Example Request
curl -X GET 'https://postbot.example/api/projects/string/analytics/provider/bluesky'
Example Response
{
  "contractVersion": 1,
  "projectId": "string",
  "provider": "string",
  "observations": [
    {
      "id": "string",
      "projectId": "string",
      "provider": "string",
      "subjectType": "account",
      "providerSubjectId": "string",
      "providerSubjectLabel": "string",
      "providerContentRevisionId": "string",
      "postbotEntityType": "channel",
      "postbotEntityId": "string",
      "metricName": "string",
      "value": 0,
      "unit": "string",
      "aggregation": "string",
      "reportingPeriodStart": 0,
      "reportingPeriodEnd": 0,
      "observedAt": 0,
      "fetchedAt": 0,
      "availability": "measured",
      "freshness": "fresh",
      "provenance": "string"
    }
  ],
  "limit": 1,
  "hasMore": true
}

Was this page helpful?